package com.huimv.eartag2.common.dao.repo;

import com.huimv.eartag2.common.dao.entity.EartagDeviceRegisterEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface EartagDeviceRegisterRepo extends JpaRepository<EartagDeviceRegisterEntity, Integer>, JpaSpecificationExecutor<EartagDeviceRegisterEntity> {

//    @Query(nativeQuery = true,value = "UPDATE ")
//    void updateActiveStatus(String deviceCode);

    @Query(nativeQuery = true,value = "SELECT * FROM eartag_device_register WHERE device_code=?1")
    EartagDeviceRegisterEntity getDeviceRegister(String deviceCode);
}