package com.huimv.eartag2.process2.service;

import java.text.ParseException;
import java.util.Map;

public interface IDeviceService {
    // 保存在线数据
    void saveDeviceOnline(Map deviceMap);

    //保存状态数据
    void saveDeviceStatus(Map deviceMap);

    //更新设备注册数据
    void updateDeviceRegister(String deviceCode);

    //更新设备在线数据
    void updateDeviceOnline(String deviceCode) throws ParseException;

    //处理状态数据
    void updateFarmDeviceStatus(String deviceCode) throws ParseException;
}
