package com.huimv.eartag2.process2.utils;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.RedisTemplate;

import java.util.HashMap;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootTest
public class RedisUtil {
    @Autowired
    private RedisTemplate redisTemplate;

    @Test
    public void test1(){
        System.out.println("test1");
        String deviceCode = "202007239999869";
        Map map = new HashMap<>();
        map.put("name","栋舍");
        map.put("id","001");
        System.out.println("map>>"+map.toString());
        //为hash结构设置多个键值对(hmset)
//        redisTemplate.opsForHash().putAll("device_register_"+deviceCode, map);


        Object actObj = redisTemplate.opsForHash().get(deviceCode, "act");
        System.out.println("actObj>>"+actObj);
    }
}
